/*
 * Name:    mxstdio.c
 *
 * Purpose: Implementation of functions that on Unix would be in <stdio.h>
 *
 * Author:  William Lavender
 *
 *------------------------------------------------------------------------
 *
 * Copyright 2000 Illinois Institute of Technology
 *
 * See the file "LICENSE" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

#if defined(OS_SOLARIS2)

#include <stdio.h>

#elif defined(OS_MPW)

#include <stdio.h>
#include <errno.h>
#include "mxstdio.h"

FILE *
popen( const char *command, const char *type )
{
	/* Always return failure. */

	errno = EPERM;		/* Operation not permitted */

	return NULL;
}

int
pclose( FILE *stream )
{
	/* Always return success. */

	return 0;
}

#endif

